#pragma once

#include <stddef.h>

#include "slist.h"

typedef struct _HashTable HashTable;

HashTable * hash_table_new       (size_t      size);
void        hash_table_insert    (HashTable  *table,
                                  const char *key,
                                  const char *value);
void        hash_table_print_all (HashTable  *table);
